$size: 120px;
$gutter: 3.75rem;

.o-teaser-about {
  margin-top: rhythm(2.68);
  background-size: cover;
}

.o-teaser-about + .o-teaser-about {
  margin-top: 0;
}

.o-teaser-about + .o-teaser-about--plain {
  margin-top: rhythm(2.68);
}

.c-hero + .o-teaser-about {
  margin-top: 0;
}

.o-teaser-about__container {
  max-width: $max-width;
  margin-right: auto;
  margin-left: auto;
}

.o-teaser-about__inner {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: $gutter * 2 $gutter;

  // 901 - 1200
  @include md-only {
    padding-right: $gutter;
    padding-left: $gutter;
  }

  // 601 - 900
  @include sm-only {
    padding-right: $gutter;
    padding-left: $gutter;
  }

  // < 600
  @include xs-max {
    padding: $gutter * 1.5 $gutter / 2;
  }
}

.o-teaser-about--plain {
  margin-bottom: rhythm(2.68);
}

.o-teaser-about--plain .o-teaser-about__inner {
  padding-top: 0;
  padding-bottom: 0;
}

.o-teaser-about__row {
  display: flex;
  justify-content: space-between;

  // < 900
  @include sm-max {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
  }
}

.o-teaser-about__text {
  width: 75%;
  padding-left: $gutter;

  // 901 - 1200
  @include md-only {
    width: 65%;
  }

  // < 900
  @include sm-max {
    width: 100%;
    padding-left: 0;
  }
}

.o-teaser-about__text p {
  font-size: 28px;
  line-height: 1.25;
  letter-spacing: 0.08rem;

  // < 900
  @include sm-max {
    font-size: 24px;
    letter-spacing: 0;
  }
}

.o-teaser-about__text p:last-child {
  margin-bottom: 0;
}

.o-teaser-about__logos {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 120px;

  // 901 +
  @include md-min {
    flex: 0 0 $gutter * 2;
  }

  // < 900
  @include sm-max {
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    width: 100%;
    margin-top: $gutter;
  }
}

.o-teaser-about__logo-item {
  margin-bottom: $gutter;

  // < 900
  @include sm-max {
    margin-right: $gutter / 2;
    margin-bottom: 0;
  }

  // < 600
  @include xs-max {
    width: calc(100% * (1 / 3) - #{$gutter / 2});
  }
}

.o-teaser-about__logo-item:last-child {
  margin-right: 0;
  margin-bottom: 0;
}

.o-teaser-about__logo-item img {
  max-width: 100%;
  height: auto;

  // 601 +
  @include sm-min {
    max-width: $size;
  }

  // < 600
  @include xs-max {
    max-width: 100%;
  }
}

.o-teaser-about__btn {
  padding-top: $gutter;
  text-align: right;

  // < 900
  @include sm-max {
    font-size: 24px;
    letter-spacing: 0;
  }
}

.o-teaser-about__grid {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;

  // 601 - 900
  @include sm-only {
    margin-left: -$gutter;
  }
}

.o-teaser-about__item {
  padding-top: $gutter;
  padding-left: $gutter;

  // 1201 +
  @include lg-min {
    width: calc(100% * (1 / 3) - #{$gutter});
  }

  // 901 - 1200
  @include md-only {
    width: calc(100% * (1 / 2) - #{$gutter});
  }

  // 601 - 900
  @include sm-only {
    width: calc(100% * (1 / 2) - #{$gutter});
  }

  // < 600
  @include xs-max {
    width: 100%;
    padding-top: $gutter;
    padding-left: 0;
  }
}

.o-teaser-about__item p:last-child {
  margin-bottom: 0;
}

.c-color--white {
  color: $c-white;

  .o-link--underlined {
    @include underline(
            $c-white,
        $height: 6%,
        $background-position: 91%,
    );
  }
}
